Summary: VRML 1.0 browser
Name: vrweb
Version: 1.5
Release: 1
Copyright: GPL
URL: http://www.iicm.edu/vrweb
Packager: Peter Csizmadia <cspeter@rmki.kfki.hu>
Group: X11/Applications/Graphics
Source0: ftp://ftp.iicm.edu/pub/VRweb/UNIX/vrweb-1.5/vrweb-src-1.5.tar.gz
Source1: ftp://ftp.iicm.edu/pub/VRweb/UNIX/vrweb-1.5/help-1.5.tar.gz
Source2: ftp://ftp.iicm.edu/pub/VRweb/UNIX/vrweb-1.5/fonts.tar.gz
Source3: ftp://ftp.iicm.edu/pub/VRweb/UNIX/vrweb-1.5/SceneViewer.ad.gz
Source4: ftp://ftp.iicm.edu/pub/VRweb/VRMLsamples.tar.gz
Patch: vrweb-1.5.patch.gz

%description
VRweb is a freely available browser for 3D worlds and scenes modeled
in VRML (the Virtual Reality Modeling Language). VRweb is developed by
the Institute for Information Processing and Computer Supported New
Media (IICM) of Graz University of Technology, Austria.

%prep

%setup
gunzip < $RPM_SOURCE_DIR/help-1.5.tar.gz | tar xf -
gunzip < $RPM_SOURCE_DIR/fonts.tar.gz | tar xf -
gunzip < $RPM_SOURCE_DIR/SceneViewer.ad.gz >SceneViewer.ad
for i in `find src/common -name '*.C' -print|xargs grep -l '::errno'`; do
	sed 's/::errno/errno/g' <$i >tmp && mv tmp $i
done
cat - src/common/utils/types.h << EOF > tmp && mv tmp src/common/utils/types.h
#include <sys/types.h>
EOF
chown -R root.root *

%patch -p1

%build
./makeall -r
./makeall -m
./makeall -i

%install
install -s installed/harmony/bin/LINUX_ELF/vrweb-mesa /usr/X11R6/bin/vrweb
mkdir -p /usr/X11R6/lib/X11/vrweb
cp -pr help icons /usr/X11R6/lib/X11/vrweb/
cp -pr fonts icons /usr/X11R6/lib/X11/vrweb/

%files
/usr/X11R6/bin/vrweb
%dir /usr/X11R6/lib/X11/vrweb
/usr/X11R6/lib/X11/vrweb/fonts
%doc COPY* INSTALL* README* LICENCE* SceneViewer.ad
%doc /usr/X11R6/lib/X11/vrweb/help
/usr/X11R6/lib/X11/vrweb/icons
